%define pkg_name    opensource-cobol
%define pkg_version 1.4.0J
%define pkg_release 2%{?_dist_release}

Summary: An open-source COBOL compiler
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: GPLv2
Group:   Applications/Languages
URL:     https://www.osscons.jp/
Source0: %{name}-%{version}-utf8.tar.gz

Buildroot: %{_tmppath}/%{name}-%{version}-root

%if %{?_dist_release} == "vl6"
BuildRequires: db4-devel
%endif
%if %{?_dist_release} == "vl7"
BuildRequires: libdb-devel
%endif
BuildRequires: gmp-devel
BuildRequires: ncurses-devel

BuildRequires: texinfo
BuildRequires: texlive-common
%if %{?_dist_release} == "vl6"
BuildRequires: texlive-collection-texinfo
%endif
%if %{?_dist_release} == "vl7"
BuildRequires: texlive-collection-plainextra
BuildRequires: texlive-collection-fontsrecommended
# rpm -qa --qf "BuildRequires: %{name}\n" | grep -v -e "doc$" | \
#   grep texlive-collection-lang
BuildRequires: texlive-collection-langenglish
BuildRequires: texlive-collection-langkorean
BuildRequires: texlive-collection-langitalian
BuildRequires: texlive-collection-langpolish
BuildRequires: texlive-collection-langgerman
BuildRequires: texlive-collection-langjapanese
BuildRequires: texlive-collection-langgreek
BuildRequires: texlive-collection-langcyrillic
BuildRequires: texlive-collection-langeuropean
BuildRequires: texlive-collection-langspanish
BuildRequires: texlive-collection-langcjk
BuildRequires: texlive-collection-langczechslovak
BuildRequires: texlive-collection-langfrench
BuildRequires: texlive-collection-langarabic
BuildRequires: texlive-collection-langother
BuildRequires: texlive-collection-langportuguese
BuildRequires: texlive-collection-langindic
BuildRequires: texlive-collection-langafrican
BuildRequires: texlive-collection-langchinese
%endif

%if %{?_dist_release} == "vl6"
Requires: db4
%endif
%if %{?_dist_release} == "vl7"
Requires: libdb
%endif

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
"opensource COBOL" is open-source COBOL compiler,
an extension of the Japan-specific features.
"opensource COBOL" translates COBOL program to C code
and compiles it using GCC or CL.

It was forked from OpenCOBOL in 2012.
See also OpenCOBOL project.
    http://www.opencobol.org/
    http://sourceforge.net/projects/open-cobol/

%description -l ja
opensource COBOLは、オーペンソースのCOBOLコンパイラであり、
COBOLプログラムをC言語のコードに翻訳し、GCCあるいはCLを用いて
コンパイルします。

opensource COBOLは、オープンCOBOLソリューション部会によって
OpenCOBOLに日本特有のビジネス環境に即したカスタマイズ、
メンテナンスを加えたものです。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}
%setup -q -n %{name}-%{version}-utf8

%build
%{configure} \
 --enable-utf8 \
 --disable-static

%{__make} %{?_smp_mflags}
%{__make} pdf html

%check
%{__make} check

%install
%{make_install}
%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/*.la
%{__rm} ${RPM_BUILD_ROOT}%{_infodir}/dir

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/install-info %{_infodir}/open-cobol.info.gz %{_infodir}/dir 2>/dev/null
%{_syssbindir}/ldconfig

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/open-cobol.info.gz \
                       %{_infodir}/dir 2>/dev/null
fi

%postun -p %{_syssbindir}/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING* NEWS README THANKS TODO
%doc texi/open-cobol.pdf
%doc texi/open-cobol.html/
%{_bindir}/
%{_includedir}/libcob.h
%{_includedir}/libcob
%{_libdir}/libcob.so*
%{_datadir}/locale/
%{_datadir}/%{name}-%{version}
%{_infodir}/*.info.gz


%changelog
* Sat May 14 2016 Toshiaki Ara <ara_t@384.jp> 1.4.0J-2
- rebuild under texlive 2016 pretest
- add BuildRequires

* Fri May 13 2016 Toshiaki Ara <ara_t@384.jp> 1.4.0J-1
- new package

